summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Nikolay Nikolov <nikobnikolov[at]gmail[dot]com>2017-01-15 06:21:45 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-01-15 06:21:45 +0700
commit1d1d66f286c79ae043524c6ce9f7a193a3ea3052 (patch)
tree57b29f52571ee88d27502d5d114beefc11747558 /libraries
parent1ae7e20a665b7ed63dd0277ed331b57f13a715a4 (diff)
downloadslackbuilds-1d1d66f286c79ae043524c6ce9f7a193a3ea3052.tar.gz
slackbuilds-1d1d66f286c79ae043524c6ce9f7a193a3ea3052.tar.xz
libraries/ignition-transport: Added (message passing library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/ignition-transport/README10
-rw-r--r--libraries/ignition-transport/ignition-transport.SlackBuild104
-rw-r--r--libraries/ignition-transport/ignition-transport.info12
-rw-r--r--libraries/ignition-transport/slack-desc19
4 files changed, 145 insertions, 0 deletions
diff --git a/libraries/ignition-transport/README b/libraries/ignition-transport/README
new file mode 100644
index 0000000000..3f8be7670e
--- /dev/null
+++ b/libraries/ignition-transport/README
@@ -0,0 +1,10 @@
+The transport library combines ZeroMQ with Protobufs to create a fast and
+efficient message passing system. Asynchronous message publication and
+subscription is provided along with service calls and discovery.
+
+Part of the ignition-robotics libraries:
+Ignition is a set of simple libraries that provide useful functionality to
+bootstrap robot applications. The included libraries encapsulate all the
+essentials, such as common math data types, console logging, 3D mesh management,
+and asynchronous message passing. Grab the code, start developing, and easily
+access other applications like the Gazebo robot simulator.
diff --git a/libraries/ignition-transport/ignition-transport.SlackBuild b/libraries/ignition-transport/ignition-transport.SlackBuild
new file mode 100644
index 0000000000..0e573d722f
--- /dev/null
+++ b/libraries/ignition-transport/ignition-transport.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for ignition-transport
+
+# Copyright 2017 Nikolay Nikolov <nikobnikolov[at]gmail[dot]com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ignition-transport
+VERSION=${VERSION:-0.7.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+DEP=cppzmq
+DEPVER=${DEPVER:-git20170114}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+rm -rf $DEP-$DEPVER
+
+# Install zeromq cpp bindings
+tar xvf $CWD/$DEP-$DEPVER.tar.gz
+cd $DEP-$DEPVER
+cp *.hpp /usr/include/
+cd ..
+
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/ignition-transport/ignition-transport.info b/libraries/ignition-transport/ignition-transport.info
new file mode 100644
index 0000000000..abbbd7006f
--- /dev/null
+++ b/libraries/ignition-transport/ignition-transport.info
@@ -0,0 +1,12 @@
+PRGNAM="ignition-transport"
+VERSION="0.7.0"
+HOMEPAGE="http://ignitionrobotics.org/"
+DOWNLOAD="http://gazebosim.org/distributions/ign-transport/releases/ignition-transport-0.7.0.tar.bz2 \
+ https://github.com/nikonikolov/cppzmq/archive/git20170114/cppzmq-git20170114.tar.gz"
+MD5SUM="e7a69c622bf3145bdb7061f13eacd985 \
+ d1be131f58bb8767df2e46b00fec8630"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="protobuf zeromq"
+MAINTAINER="Nikolay Nikolov"
+EMAIL="nikobnikolov[at]gmail[dot]com"
diff --git a/libraries/ignition-transport/slack-desc b/libraries/ignition-transport/slack-desc
new file mode 100644
index 0000000000..3d764bf5b0
--- /dev/null
+++ b/libraries/ignition-transport/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ignition-transport: ignition-transport (message passing system library)
+ignition-transport:
+ignition-transport: ignition-transport library combines ZeroMQ with Protobufs to create a
+ignition-transport: fast and efficient message passing system. Asynchronous message
+ignition-transport: publication and subscription is provided along with service calls
+ignition-transport: and discovery. Part of ignition-robotics
+ignition-transport:
+ignition-transport: Homepage: http://ignitionrobotics.org/libraries/transport
+ignition-transport: Ignition Robotics: http://ignitionrobotics.org/
+ignition-transport:
+ignition-transport: